Name:          libmypaint
Version:       1.3.0
Release:       2mamba
Summary:       MyPaint brush engine library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://mypaint.org/
Source:        https://github.com/mypaint/libmypaint/archive/v%{version}.zip
Patch0:        libmypaint-1.3.0-versioning.patch
Patch1:        libmypaint-1.3.0-libgegl-0.4.8.patch
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbabl-devel
BuildRequires: libblkid-devel
BuildRequires: libffi-devel
BuildRequires: libgegl-devel
BuildRequires: libglib-devel
BuildRequires: libjson-c-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmount-devel
BuildRequires: libpcre-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libtermcap-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is the brush library used by MyPaint. A number of other painting programs use it too.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p2
%patch1 -p1

%build
./autogen.sh
%configure --enable-gegl

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libmypaint-*.so.*
%{_libdir}/girepository-1.0/MyPaint-*.typelib
%{_libdir}/girepository-1.0/MyPaintGegl-*.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libmypaint-*/mypaint-*.h
%{_libdir}/libmypaint-*.la
%{_libdir}/libmypaint-*.so
%{_libdir}/pkgconfig/libmypaint-*.pc
%{_datadir}/gir-1.0/MyPaint-*.gir
%{_datadir}/gir-1.0/MyPaintGegl-*.gir
%doc README.md TODO

%changelog
* Tue Oct 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- rebuilt with --enable-gegl, added patches from arch

* Sat Apr 15 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.3.0-1mamba
- package created using the webbuild interface
